Bug 1274254 (CVE-2015-7691, CVE-2015-7692, CVE-2015-7702) - CVE-2015-7691 CVE-2015-7692 CVE-2015-7702 ntp: incomplete checks in ntp_crypto.c
Summary: CVE-2015-7691 CVE-2015-7692 CVE-2015-7702 ntp: incomplete checks in ntp_crypto.c
Status: CLOSED ERRATA
Alias: CVE-2015-7691, CVE-2015-7692, CVE-2015-7702
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20151021,repor...
Keywords: Security
Depends On: 1274351 1296207 1317795
Blocks: 1260670 1323912
TreeView+ depends on / blocked
 
Reported: 2015-10-22 11:28 UTC by Martin Prpič
Modified: 2016-11-06 04:13 UTC (History)
9 users (show)

(edit)
It was found that the fix for CVE-2014-9750 was incomplete: three issues were found in the value length checks in NTP's ntp_crypto.c, where a packet with particular autokey operations that contained malicious data was not always being completely validated. A remote attacker could use a specially crafted NTP packet to crash ntpd.
Clone Of:
(edit)
Last Closed: 2016-11-06 04:13:38 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2024443 None None None Never
Red Hat Product Errata RHSA-2016:0780 normal SHIPPED_LIVE Moderate: ntp security and bug fix update 2016-05-10 22:35:43 UTC
Red Hat Product Errata RHSA-2016:2583 normal SHIPPED_LIVE Moderate: ntp security and bug fix update 2016-11-03 12:08:36 UTC

Description Martin Prpič 2015-10-22 11:28:47 UTC
It was found that the fix for CVE-2014-9750 was incomplete: three issues were found in the value length checks in ntp_crypto.c, where a packet with particular autokey operations that contained malicious data was not always being completely validated. Receipt of these packets can cause ntpd to crash.

Upstream patch:

https://github.com/ntp-project/ntp/commit/c4cd4aaf418f57f7225708a93bf48afb2bc9c1da

Mitigation:

Disable NTP autokey authentication by removing, or commenting out, all configuration directives beginning with the 'crypto' keyword in your ntp.conf file.

External References:

https://github.com/ntp-project/ntp/blob/stable/NEWS#L11
http://support.ntp.org/bin/view/Main/SecurityNotice#October_2015_NTP_Security_Vulner

Comment 1 Martin Prpič 2015-10-22 14:34:32 UTC
Created ntp tracking bugs for this issue:

Affects: fedora-all [bug 1274351]

Comment 6 Fedora Update System 2015-11-02 18:52:49 UTC
ntp-4.2.6p5-34.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-11-04 22:49:26 UTC
ntp-4.2.6p5-34.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-02-21 02:25:08 UTC
ntp-4.2.6p5-36.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 errata-xmlrpc 2016-05-10 20:17:26 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2016:0780 https://rhn.redhat.com/errata/RHSA-2016-0780.html

Comment 19 errata-xmlrpc 2016-11-03 19:32:55 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:2583 https://rhn.redhat.com/errata/RHSA-2016-2583.html


Note You need to log in before you can comment on or make changes to this bug.